/**
 * @userConfig 用户id
 * @domConfig Dom节点配置  @inputTextArea 输入框的selector @buttonArea 点击事件的selector @outputTextArea 输出框的selector
 * @sdkVersion sdk版本
 */
export interface DefaultOptons {
    time:number,
    delay:number,
    // isSingleFront:boolean,
    sdkVersion: string | number,
   
}


export interface quesionConfig {
    quesionId:number | string,
    quesionText:string,
    quesionTime:number
}


//必传参数 requestUrl
export interface Options extends Partial<DefaultOptons> {
    requestUrl: string,
}

//版本  
export enum cssEffectConfig {
    version = '1.0.0'
}
//上报必传参数
export type reportTrackerData = {
    [key: string]: any,
    event: string,
    targetKey: string | object
}


/**
 * @param element 传入的元素，暂时只是单个元素，需要指定一个唯一的标识符号 css_index
 * @param distance_viewable_num 可视区距离顶部距离的高度
 * @param distance_css_num css移动的距离
 * @param key 需要指定唯一的key
 * @param distance_unshow_num?: number 什么时候让类名消失
 */
 export interface paramCore  {
    element: HTMLElement, 
    distance_viewable_num: number, 
    distance_css_num: number, 
    key: string, 
    distance_unshow_num: number
}