

import { cssEnterRight,  cssEnterLeft, cssEnterUp, cssLeaveDown} from "./userText"
import { scrollWatch } from "../services/userEnterFn"


import { cssLeaveLeft,cssLeaveRight,cssLeaveUp } from "./userText"
import { scrollLeave } from "../services/userLeaveFn"

import {scrollCommonWatch} from "../services/CommonEnterFn"
// 第一类 
function handleCommonControlEnter(element: HTMLElement, distance_viewable_num: number, distance_css_num: number, key: string,type:string){
    
   
    scrollCommonWatch(element, distance_viewable_num, type, key)
    // step1：添加监听事件
    window.addEventListener('scroll', () => {
        scrollCommonWatch(element, distance_viewable_num, type, key)
   });

   
    // step2:添加容错判定
   if (document.querySelector(`style[css_index='${key}']`)) {
        return
    }
   let temp = document.createElement("style")
   temp.setAttribute("css_index", key as string)
   
   if(type == "towardUp"){
        temp.innerHTML = cssEnterUp(distance_css_num, key as string)
    }
  
   if(type == "towardLeft"){
       temp.innerHTML = cssEnterLeft(distance_css_num, key as string)
   }
   if(type == "towardRight"){
       temp.innerHTML = cssEnterRight(distance_css_num, key as string)
   }
   
   document.body.append(temp)
}



// 第二类:用户控制
function handleUserControlEnter(element: HTMLElement, distance_viewable_num: number, distance_css_num: number, key: string,distance_unshow_num:number,type:string){
    // step1：添加监听事件
    window.addEventListener('scroll', () => {
       scrollWatch(element, distance_viewable_num, type, key,distance_unshow_num)
   });

   // step2:添加容错判定
   if (document.querySelector(`style[css_index='${key}']`)) {
       return
   }

   let temp = document.createElement("style")
   temp.setAttribute("css_index", key as string)
   

   if(type == "towardUp"){
        temp.innerHTML = cssEnterUp(distance_css_num, key as string)
    }
   if(type == "towardLeft"){
       temp.innerHTML = cssEnterLeft(distance_css_num, key as string)
   }
   if(type == "towardRight"){
       temp.innerHTML = cssEnterRight(distance_css_num, key as string)
   }
   if(type == "towardDown"){
        temp.innerHTML = cssLeaveDown(distance_css_num, key as string)
   }
   
   document.body.append(temp)
}


function handleUserControlLeave(element: HTMLElement, distance_viewable_num: number,distance_css_num: number, key: string,type:string){
    // step1：添加监听事件
    window.addEventListener('scroll', () => {
        scrollLeave(element, distance_viewable_num, type, key)
   });

   // step2:添加容错判定
   if (document.querySelector(`style[css_index='${key}']`)) {
       return
   }

   let temp = document.createElement("style")
   temp.setAttribute("css_index", key as string)
  
   if(type == "leaveUp"){
        temp.innerHTML = cssLeaveUp(distance_css_num, key as string)
   }
   if(type == "leaveLeft"){
       temp.innerHTML = cssLeaveLeft(distance_css_num, key as string)
   }
   if(type == "leaveRight"){
       temp.innerHTML = cssLeaveRight(distance_css_num, key as string)
   }
   if(type == "leaveDown"){
        temp.innerHTML = cssLeaveDown(distance_css_num, key as string)
    }
   
   document.body.append(temp)
}

export {
    handleCommonControlEnter,
    handleUserControlEnter,
    handleUserControlLeave,

}