const express = require('express');
const app = express();
const http = require('http');
const server = http.createServer(app);
const { Server } = require("socket.io");

const cors = require('cors');
const { json } = require('express');
app.use(cors())

//设置跨域访问
app.all('*', function (req, res, next) {
    // console.log(req)
    res.header("Access-Control-Allow-Origin", "*");
    res.header('Access-Control-Allow-Headers', 'Content-Type, Content-Length, Authorization, Accept, X-Requested-With , yourHeaderFeild');
    res.header('Access-Control-Allow-Headers', ['mytoken', 'Content-Type']);
    res.header("Access-Control-Allow-Methods", "PUT,POST,GET,DELETE,OPTIONS");
    res.header("X-Powered-By", ' 3.2.1');
    res.header("Content-Type", "application/json;charset=utf-8");
    res.header("Content-Type", 'charset=utf-8');
    next();
});


server.listen(3002, () => {
    console.log('listening on *:3002');
});


// var io = new Server(server,{ cors: true });

const io = new Server(server, {
    cors: {
        origin: "*",
        methods: ["GET", "POST"],
        allowedHeaders: "*",
        credentials: true,
    },
    allowEIO3: true,
    transport: ['websocket']
});

var quesionArray = [
    // {
    //     userId: "xiaoming",
    //     quesionId: 1,
    //     quesionText: "请问一下"
    // }
]
var answerArray = [
    // {
    //     userId: "xiaoming",
    //     quesionId: 1,
    //     quesionText: "请问一下"
    // }
]
var iolist = [];
// io.on('connection', (socket) => {
//     socket.join('room')
//     iolist.push(socket)
//     console.log('连接的id是 ' + socket.id, new Date().toLocaleString());
//     socket.on('disconnect', function (data) {
//         console.log('断开')
//     })
//     socket.on('message', function (data) {

//         // 注意io.to是向房间里的所有人发消息，socket(这个是监听方法的第一个参数).to是对出了自己的人发东西
//         socket.to('room').emit(data);
//     })

//     socket.on('resultGet', function (data) {
//         answerArray=data
//     })
// });


// 初始化 都是这个
io.on('connection', (socket) => {
    // console.log(socket)
    // socket.join("user")
    socket.userId = "unknown"
    iolist.push(socket)
    console.log('连接的id是 ' + socket.userId ,new Date().toLocaleString(),);
    if(socket?.handshake?.query?.isStream=="true"){
        //流式传输
        console.log(socket?.handshake?.query?.userId,'开始连接')
        socket.userId =  socket?.handshake?.query?.userId
        socket.join(socket?.handshake?.query?.userId)
        socket.on('message', function (data) {
            // return  data
            console.log("收到信息")
            // io.to(socket?.handshake?.query?.userId).emit(data);
            iolist.forEach((e)=>{
                if(e.userId==socket?.handshake?.query?.userId){
                    e.emit("message", data)
                }
            })
        })
        socket.on('disconnect', function (data) {
            console.log(socket?.handshake?.query?.userId,'断开连接')
        })
        socket.on('resultGet', function (data) {

            console.log(data)
           
        })
    }else{
        // html传输
        socket.on('change', function (data) {
            console.log("change:",data)
            socket.userId = data
            socket.join(data)
        })
        socket.on('disconnect', function (data) {
            console.log('断开')
            
        })
        socket.on('message', function (data) {
            // return  data
            console.log(data)
            // console.log("message:",data)
            // data["userId"] = "user"
            // 注意io.to是向房间里的所有人发消息，socket(这个是监听方法的第一个参数).to是对出了自己的人发东西
            io.to(data["userId"]).emit(data);
            
        },)
    
        socket.on('resultGet', function (data) {
            answerArray=data
        })
    }
    
});


// io.on('connection', (socket) => {
//     // console.log(socket)
//     socket.join("user")
//     socket.userId = "unknown"
//     iolist.push(socket)
//     console.log('连接的id是 ' + socket.userId ,new Date().toLocaleString(),socket.handshake.query);
//     socket.on('change', function (data) {
//         console.log("change:",data)
//         socket.userId = data
//         socket.join(data)
//     })
//     socket.on('disconnect', function (data) {
//         console.log('断开')
        
//     })
//     socket.on('message', function (data) {
//         // return  data
//         console.log(data)
//         // console.log("message:",data)
//         // data["userId"] = "user"
//         // 注意io.to是向房间里的所有人发消息，socket(这个是监听方法的第一个参数).to是对出了自己的人发东西
//         io.to(data["userId"]).emit(data);
        
//     },)

//     socket.on('resultGet', function (data) {
//         answerArray=data
//     })
// });


// 请求数据
app.get('/api/createRoom', async (req, res) => {
    // param = req.query
    res.type('application/json');
    
    iolist.forEach((e)=>{
        console.log(e.userId)
        if(e.userId==req.query.userId){
            e.emit("message", req.query)
        }
    })

    let result = {
        code:200,
        msg:"获取配置数据成功",
        req:req.query
    }
    res.end(JSON.stringify(result))
    
});

// 请求数据
app.get('/api/request', async (req, res) => {
    // param = req.query
    res.type('application/json');
    // console.log("房间角色",iolist)
    iolist.forEach((e)=>{
        
        if(e.userId==req.query.userId){
            e.emit("message", req.query)
        }
    })
    quesionArray.push(req.query)
    // console.log(quesionArray)
    // 手动设置延迟，好笨的办法。
    setTimeout((param)=>{
        // console.log
        console.log(answerArray)
        let resTemp ={code:200,reqParam:param,resParam: answerArray }
        res.end(JSON.stringify(resTemp));
    },req.query.quesionTime*1000,req.query)
    // iolist[0].on("resultGet", (param)=>{
        
    // })
    
});

//接受数据