import {elementTopGet} from "../utils/elementCount"
function scrollFrameWatch(element:HTMLElement, distance_viewable_num:number,distance_num:number,type:string){
    // console.log(element,distance_viewable_num, type, key,distance_unshow_num)
    let scrollDistance = (document.documentElement.scrollTop + document.documentElement.clientHeight-distance_viewable_num)
    let scaleRadio = 0
    if(scrollDistance > elementTopGet(element) && scrollDistance<elementTopGet(element)+innerHeight){
        let radio = (scrollDistance-element.offsetTop)/innerHeight
        // if(radio>0.9 && radio < 1){
        //     scaleRadio =  (radio - 0.7)/0.3
        // }
        if(radio>0 && radio < 0.4){
            scaleRadio = 1-(radio )/0.4
        }
        if(radio >=0.3 && radio <=0.7){
            scaleRadio = 0
        }

        if(type=="towardLeft"){
            element.style.transform = `translateX(${scaleRadio * distance_num}px)`
        }
        if(type=="towardRight"){
            element.style.transform = `translateX(${-scaleRadio * distance_num}px)`
        }
        if(type=="towardUp"){
            element.style.transform = `translateY(${scaleRadio * distance_num}px)`
        }
        if(type=="towardDown"){
            element.style.transform = `translateY(${-scaleRadio * distance_num}px)`
        }
        
        // console.log(element)
    }
}

export {
    scrollFrameWatch
}