import {elementTopGet} from "../utils/elementCount"
 /**
     * @des 判断是否进入可视区
     * @param element 
     * @param distance_num 距离触发的距离
     * @param type 类型
     * @param key 唯一的key
     * @param distance_unshow_num 消除的距离
     */
 function scrollWatch(element:HTMLElement,distance_num:number,type:string,key:string,distance_unshow_num:number) {
    let scrollDistance = (document.documentElement.scrollTop + document.documentElement.clientHeight-distance_num)  
    // console.log(scrollDistance,scrollDistance+distance_unshow_num < (element as HTMLElement).offsetTop+innerHeight)
    if ( scrollDistance > elementTopGet(element as HTMLElement) && scrollDistance+distance_unshow_num < elementTopGet(element as HTMLElement)+innerHeight) {
        
        if(type == "towardUp"){
            (element as HTMLElement).classList.add(`appear_up_${key}`)
        } 
        if(type == "towardLeft"){
            (element as HTMLElement).classList.add(`appear_left_${key}`)
        } 
        if(type == "towardRight"){
            (element as HTMLElement).classList.add(`appear_right_${key}`)
        } 
        if(type == "towardDown"){
            (element as HTMLElement).classList.add(`appear_down_${key}`)
        } 
    } else {
        if(type == "towardUp"){
            (element as HTMLElement).classList.remove(`appear_up_${key}`)
        } 
        if(type == "towardLeft"){
            (element as HTMLElement).classList.remove(`appear_left_${key}`)
        } 
        if(type == "towardRight"){
            (element as HTMLElement).classList.remove(`appear_right_${key}`)
        } 
        if(type == "towardDown"){
            (element as HTMLElement).classList.remove(`appear_down_${key}`)
        } 
    }
}

export {
    scrollWatch
}