class Cache {
    cacheData: {
      [key: string]: any
    }
    constructor() {
      this.cacheData = {
  
      }
    }
    set(name: string, item: any) {
      if (item) {
        item = JSON.stringify(item)
      }
      this.cacheData[name] = item
    }
    get(name: string) {
      const res = this.cacheData[name]
      if (res) {
        return JSON.parse(res)
      }
    }
    delete(name: string) {
      return new Promise((resolve, reject) => {
        Reflect.deleteProperty(this.cacheData,name);
        resolve("")
      })
  
    }
  }
  
  export default new Cache()
  
  

